Index: util/romcc/tests/raminit_test7.c
===================================================================
--- util/romcc/tests/raminit_test7.c	(revision 3942)
+++ util/romcc/tests/raminit_test7.c	(working copy)
@@ -386,12 +386,12 @@
 static void console_init(void)
 {
 	static const char console_test[] = 
-		"\r\n\r\nLinuxBIOS-"
+		"\n\nLinuxBIOS-"
 		"1.1.4"  
 		".0Fallback"  
 		" "
 		"Thu Oct 9 20:29:48 MDT 2003"  
-		" starting...\r\n";
+		" starting...\n";
 	print_info(console_test);
 }
 static void die(const char *str)
@@ -424,7 +424,7 @@
 	print_debug_hex32(start);
 	print_debug("-");
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 	for(addr = start; addr < stop ; addr += 4) {
 		 
 		if (!(addr & 0xffff)) {
@@ -435,7 +435,7 @@
 	};
 	 
 	print_debug_hex32(addr);
-	print_debug("\r\nDRAM filled\r\n");
+	print_debug("\nDRAM filled\n");
 }
 static void ram_verify(unsigned long start, unsigned long stop)
 {
@@ -445,7 +445,7 @@
 	print_debug_hex32(start);
 	print_debug_char('-');
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 	for(addr = start; addr < stop ; addr += 4) {
 		unsigned long value;
 		 
@@ -459,12 +459,12 @@
 			print_err_hex32(addr);
 			print_err_char(':');
 			print_err_hex32(value);
-			print_err("\r\n");
+			print_err("\n");
 		}
 	}
 	 
 	print_debug_hex32(addr);
-	print_debug("\r\nDRAM verified\r\n");
+	print_debug("\nDRAM verified\n");
 }
 void ram_check(unsigned long start, unsigned long stop)
 {
@@ -474,10 +474,10 @@
 	print_debug_hex32(start);
 	print_debug("-");	
 	print_debug_hex32(stop);
-	print_debug("\r\n");
+	print_debug("\n");
 	ram_fill(start, stop);
 	ram_verify(start, stop);
-	print_debug("Done.\r\n");
+	print_debug("Done.\n");
 }
 static int enumerate_ht_chain(unsigned link)
 {
@@ -529,10 +529,10 @@
 	device_t dev;
 	dev = pci_locate_device(((((  0x746b ) & 0xFFFF) << 16) | (( 0x1022 ) & 0xFFFF)) , 0);
 	if (dev == (0xffffffffU) ) {
-		die("SMBUS controller not found\r\n");
+		die("SMBUS controller not found\n");
 	}
 	uint8_t enable;
-	print_debug("SMBus controller enabled\r\n");
+	print_debug("SMBus controller enabled\n");
 	pci_write_config32(dev, 0x58, 0x0f00  | 1);
 	enable = pci_read_config8(dev, 0x41);
 	pci_write_config8(dev, 0x41, enable | (1 << 7));
@@ -748,14 +748,14 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 static void dump_pci_device(unsigned dev)
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -767,7 +767,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -790,7 +790,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -804,20 +804,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -830,20 +830,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -898,7 +898,7 @@
 		{ 0x00010404, 0x00050101 }
 	};
 	if(maxnodes>2) {
-		print_debug("this mainboard is only designed for 2 cpus\r\n");
+		print_debug("this mainboard is only designed for 2 cpus\n");
 		maxnodes=2;
 	}
 	if (!(node>=maxnodes || row>=maxnodes)) {
@@ -940,7 +940,7 @@
 static void setup_resource_map(const unsigned int *register_values, int max)
 {
 	int i;
-	print_debug("setting up resource map....\r\n");
+	print_debug("setting up resource map....\n");
 	for(i = 0; i < max; i += 3) {
 		device_t dev;
 		unsigned where;
@@ -952,7 +952,7 @@
 		reg |= register_values[i+2];
 		pci_write_config32(dev, where, reg);
 	}
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
 static void setup_default_resource_map(void)
 {
@@ -1089,7 +1089,7 @@
 	int max;
 	print_debug("setting up CPU");
 	print_debug_hex8(ctrl->node_id);
-	print_debug(" northbridge registers\r\n");
+	print_debug(" northbridge registers\n");
 	max = sizeof(register_values)/sizeof(register_values[0]);
 	for(i = 0; i < max; i += 3) {
 		device_t dev;
@@ -1102,7 +1102,7 @@
 		reg |= register_values[i+2];
 		pci_write_config32(dev, where, reg);
 	}
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
 static int is_dual_channel(const struct mem_controller *ctrl)
 {
@@ -1263,7 +1263,7 @@
 	 
 	print_debug("RAM: 0x");
 	print_debug_hex32(tom_k);
-	print_debug(" KB\r\n");
+	print_debug(" KB\n");
 	 
 	msr_t msr;
 	msr.lo = (tom_k & 0x003fffff) << 10;
@@ -1326,7 +1326,7 @@
 	}
 	 
 	if ((bits == 3) && (common_size == (1 << (32 - 3)))) {
-		print_debug("8 4GB chip selects cannot be interleaved\r\n");
+		print_debug("8 4GB chip selects cannot be interleaved\n");
 		return 0;
 	}
 	 
@@ -1351,7 +1351,7 @@
 		csbase += csbase_inc;
 	}
 	
-	print_debug("Interleaved\r\n");
+	print_debug("Interleaved\n");
 	 
 	return common_size << (15 + bits);
 }
@@ -1442,7 +1442,7 @@
 {
 	print_debug("disabling dimm"); 
 	print_debug_hex8(index); 
-	print_debug("\r\n");
+	print_debug("\n");
 	pci_write_config32(ctrl->f2, 0x40  + (((index << 1)+0)<<2), 0);
 	pci_write_config32(ctrl->f2, 0x40  + (((index << 1)+1)<<2), 0);
 }
@@ -1539,7 +1539,7 @@
 			}
 		}
 	}
-	print_debug("Enabling dual channel memory\r\n");
+	print_debug("Enabling dual channel memory\n");
 	uint32_t dcl;
 	dcl = pci_read_config32(ctrl->f2, 0x90 );
 	dcl &= ~(1<<19) ;
@@ -1560,7 +1560,7 @@
 {
 	static const struct mem_param speed[] = {
 		{
-			.name	    = "100Mhz\r\n",
+			.name	    = "100Mhz\n",
 			.cycle_time = 0xa0,
 			.divisor    = (10 <<1),
 			.tRC	    = 0x46,
@@ -1571,7 +1571,7 @@
 			.dtl_twr    = 2,
 		},
 		{
-			.name	    = "133Mhz\r\n",
+			.name	    = "133Mhz\n",
 			.cycle_time = 0x75,
 			.divisor    = (7<<1)+1,
 			.tRC	    = 0x41,
@@ -1582,7 +1582,7 @@
 			.dtl_twr    = 2,
 		},
 		{
-			.name	    = "166Mhz\r\n",
+			.name	    = "166Mhz\n",
 			.cycle_time = 0x60,
 			.divisor    = (6<<1),
 			.tRC	    = 0x3C,
@@ -1593,7 +1593,7 @@
 			.dtl_twr    = 3,
 		},
 		{
-			.name	    = "200Mhz\r\n",
+			.name	    = "200Mhz\n",
 			.cycle_time = 0x50,
 			.divisor    = (5<<1),
 			.tRC	    = 0x37,
@@ -2258,7 +2258,7 @@
 		dcl = pci_read_config32(ctrl[i].f2, 0x90 );
 		if (dcl & (1<<17) ) {
 			uint32_t mnc;
-			print_debug("ECC enabled\r\n");
+			print_debug("ECC enabled\n");
 			mnc = pci_read_config32(ctrl[i].f3, 0x44 );
 			mnc |= (1 << 22) ;
 			if (dcl & (1<<16) ) {
@@ -2287,9 +2287,9 @@
 			}
 		} while(((dcl & (1<<8) ) != 0) && (loops < 300000 ));
 		if (loops >= 300000 ) {
-			print_debug(" failed\r\n");
+			print_debug(" failed\n");
 		} else {
-			print_debug(" done\r\n");
+			print_debug(" done\n");
 		}
 		if (dcl & (1<<17) ) {
 			print_debug("Clearing memory: ");
@@ -2317,7 +2317,7 @@
 			print_debug_hex32(zstart);
 			print_debug("-");
 			print_debug_hex32(zend);
-			print_debug("\r\n");
+			print_debug("\n");
 			
 			 
 			msr = rdmsr(0x2ff );
@@ -2415,7 +2415,7 @@
 			 
 			pci_write_config32(ctrl[i].f3, 0x58 , 
 				(22  << 16) | (22  << 8) | (22  << 0));
-			print_debug("done\r\n");
+			print_debug("done\n");
 		}
 	}
 }
@@ -2436,7 +2436,7 @@
 	val=pci_read_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 0  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , 0x68);
 	val |= (1<<10)|(1<<9)|(1<<8)|(1<<4)|(1<<3)|(1<<2)|(1<<1)|(1 << 0);
 	pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 0  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , 0x68, val);
-	print_debug("done.\r\n");
+	print_debug("done.\n");
 }
  
 static void wait_ap_stop(u8 node) 
@@ -2483,7 +2483,7 @@
 		wait_ap_stop(node);
 	}
  
-	print_debug(" done.\r\n");
+	print_debug(" done.\n");
 }
 static void rename_temp_node(u8 node)
 {
@@ -2494,7 +2494,7 @@
 	val &= (~7);   
         val |= node;    
 	pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 7  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , 0x60, val);
-	print_debug(" done.\r\n");
+	print_debug(" done.\n");
 }
 static bool check_connection(u8 src, u8 dest, u8 link)
 {
@@ -2587,7 +2587,7 @@
 	};
 	uint8_t row;
 	int i;
-	print_debug("setup_remote_node\r\n");
+	print_debug("setup_remote_node\n");
 	for(row=0; row<cpus; row++)
 		setup_remote_row(node, row, cpus);
 	 
@@ -2598,24 +2598,24 @@
 		value = pci_read_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 0  ) & 0x1f) << 11) | ((( 1 )  & 0x7) << 8))  , reg);
 		pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ 7  ) & 0x1f) << 11) | ((( 1 )  & 0x7) << 8))  , reg, value);
 	}
-	print_debug("setup_remote_done\r\n");
+	print_debug("setup_remote_done\n");
 }
 static u8 setup_uniprocessor(void)
 {
-	print_debug("Enabling UP settings\r\n");
+	print_debug("Enabling UP settings\n");
 	disable_probes();
 	return 1;
 }
 static u8 setup_smp(void)
 {
 	u8 cpus=2;
-	print_debug("Enabling SMP settings\r\n");
+	print_debug("Enabling SMP settings\n");
 	setup_row(0,0,cpus);
 	 
 	setup_temp_row(0,1,cpus);
 	
 	if (!check_connection(0, 7, 0x20  )) {
-		print_debug("No connection to Node 1.\r\n");
+		print_debug("No connection to Node 1.\n");
 		fill_row( 0 ,7,0x00010101 ) ;	 
 		setup_uniprocessor();	 
 		return 1;
@@ -2630,7 +2630,7 @@
 	fill_row( 0 ,7,0x00010101 ) ;	 
 	
 	print_debug_hex32(cpus);
-	print_debug(" nodes initialized.\r\n");
+	print_debug(" nodes initialized.\n");
 	return cpus;
 }
 static unsigned detect_mp_capabilities(unsigned cpus)
@@ -2639,7 +2639,7 @@
 	bool mp_cap= (-1) ;
 	print_debug("detect_mp_capabilities: ");
 	print_debug_hex32(cpus);
-	print_debug("\r\n");
+	print_debug("\n");
 	if (cpus>2)
 		mask=0x06;	 
 	else
@@ -2651,7 +2651,7 @@
 	if (mp_cap)
 		return cpus;
 	 
-	print_debug("One of the CPUs is not MP capable. Going back to UP\r\n");
+	print_debug("One of the CPUs is not MP capable. Going back to UP\n");
 	for (node=cpus; node>0; node--)
 	    for (row=cpus; row>0; row--)
 		fill_row(( ((( 0 ) & 0xFF) << 16) | ((( 24+ node-1  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  , row-1, 0x00010101 );
@@ -2664,7 +2664,7 @@
 	bool rev_a0;
 	
 	 
-	print_debug("coherent_ht_finalize\r\n");
+	print_debug("coherent_ht_finalize\n");
 	rev_a0= is_cpu_rev_a0();
 	for (node=0; node<cpus; node++) {
 		u32 val;
@@ -2681,7 +2681,7 @@
 			pci_write_config32(( ((( 0 ) & 0xFF) << 16) | ((( 24+ node  ) & 0x1f) << 11) | ((( 0 )  & 0x7) << 8))  ,0xd4,0);
 		}
 	}
-	print_debug("done\r\n");
+	print_debug("done\n");
 }
 static int setup_coherent_ht_domain(void)
 {
@@ -2697,7 +2697,7 @@
 }
 void sdram_no_memory(void)
 {
-	print_err("No memory!!\r\n");
+	print_err("No memory!!\n");
 	while(1) { 
 		hlt(); 
 	}
@@ -2710,20 +2710,20 @@
 	for(i = 0; i < controllers; i++) {
 		print_debug("Ram1.");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 		sdram_set_registers(ctrl + i);
 	}
 	 
 	for(i = 0; i < controllers; i++) {
 		print_debug("Ram2.");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 		sdram_set_spd_registers(ctrl + i);
 	}
 	 
-	print_debug("Ram3\r\n");
+	print_debug("Ram3\n");
 	sdram_enable(controllers, ctrl);
-	print_debug("Ram4\r\n");
+	print_debug("Ram4\n");
 }
 static void enable_lapic(void)
 {
Index: util/romcc/tests/simple_test22.c
===================================================================
--- util/romcc/tests/simple_test22.c	(revision 3942)
+++ util/romcc/tests/simple_test22.c	(working copy)
@@ -300,7 +300,7 @@
 
 static void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	write(STDOUT_FILENO, msg, sizeof(msg));
 	_exit(0);
 }
Index: util/romcc/tests/simple_test60.c
===================================================================
--- util/romcc/tests/simple_test60.c	(revision 3942)
+++ util/romcc/tests/simple_test60.c	(working copy)
@@ -12,7 +12,7 @@
 static void test(void)
 {
 	static const struct mem_param param0 = {
-		.name = "166Mhz\r\n",
+		.name = "166Mhz\n",
 		.cycle_time = 0x60,
 		.divisor = (6<<1),
 		.tRC = 0x3C,
Index: util/romcc/tests/linux_test1.c
===================================================================
--- util/romcc/tests/linux_test1.c	(revision 3942)
+++ util/romcc/tests/linux_test1.c	(working copy)
@@ -2,7 +2,7 @@
 
 static void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	write(STDOUT_FILENO, msg, sizeof(msg));
 	_exit(0);
 }
Index: util/romcc/tests/linux_test5.c
===================================================================
--- util/romcc/tests/linux_test5.c	(revision 3942)
+++ util/romcc/tests/linux_test5.c	(working copy)
@@ -93,7 +93,7 @@
 {
 	print_debug("disabling dimm"); 
 	print_debug_hex8(index); 
-	print_debug("\r\n");
+	print_debug("\n");
 #if 0
 	pci_write_config32(PCI_DEV(0, 0x18, 2), DRAM_CSBASE + (((index << 1)+0)<<2), 0);
 	pci_write_config32(PCI_DEV(0, 0x18, 2), DRAM_CSBASE + (((index << 1)+1)<<2), 0);
@@ -179,7 +179,7 @@
 	print_debug_hex8(min_cycle_time); 
 	print_debug(" min_latency: ");
 	print_debug_hex8(min_latency);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 
 	/* Compute the least latency with the fastest clock supported
@@ -240,7 +240,7 @@
 				print_debug_hex8(new_cycle_time); 
 				print_debug(" new_latency: ");
 				print_debug_hex8(new_latency);
-				print_debug("\r\n");
+				print_debug("\n");
 #endif
 			}
 			debug('G');
@@ -253,7 +253,7 @@
 		print_debug_hex8(new_cycle_time); 
 		print_debug(" new_latency: ");
 		print_debug_hex8(new_latency);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 		if (new_latency > 4){
 			continue;
@@ -274,7 +274,7 @@
 		print_debug_hex8(min_cycle_time); 
 		print_debug(" min_latency: ");
 		print_debug_hex8(min_latency);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 	}
 	/* Make a second pass through the dimms and disable
@@ -328,7 +328,7 @@
 	print_debug_hex8(min_cycle_time); 
 	print_debug(" min_latency: ");
 	print_debug_hex8(min_latency);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	/* Now that I know the minimum cycle time lookup the memory parameters */
 	param = get_mem_param(min_cycle_time);
Index: util/romcc/tests/hello_world1.c
===================================================================
--- util/romcc/tests/hello_world1.c	(revision 3942)
+++ util/romcc/tests/hello_world1.c	(working copy)
@@ -113,14 +113,14 @@
 
 void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	uart_init();
 #if 0
 	print_debug(msg);
 #endif
 #if 1
-	print_debug("hello world\r\n");
-	print_debug("how are you today\r\n");
+	print_debug("hello world\n");
+	print_debug("how are you today\n");
 #endif
 	while(1) {
 		;
Index: util/romcc/tests/simple_test54.c
===================================================================
--- util/romcc/tests/simple_test54.c	(revision 3942)
+++ util/romcc/tests/simple_test54.c	(working copy)
@@ -505,7 +505,7 @@
 {
 	print_debug("disabling dimm"); 
 	print_debug_hex8(index); 
-	print_debug("\r\n");
+	print_debug("\n");
 #if 0
 	pci_write_config32(PCI_DEV(0, 0x18, 2), DRAM_CSBASE + (((index << 1)+0)<<2), 0);
 	pci_write_config32(PCI_DEV(0, 0x18, 2), DRAM_CSBASE + (((index << 1)+1)<<2), 0);
@@ -591,7 +591,7 @@
 	print_debug_hex8(min_cycle_time); 
 	print_debug(" min_latency: ");
 	print_debug_hex8(min_latency);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 
 	/* Compute the least latency with the fastest clock supported
@@ -652,7 +652,7 @@
 				print_debug_hex8(new_cycle_time); 
 				print_debug(" new_latency: ");
 				print_debug_hex8(new_latency);
-				print_debug("\r\n");
+				print_debug("\n");
 #endif
 			}
 			debug('G');
@@ -665,7 +665,7 @@
 		print_debug_hex8(new_cycle_time); 
 		print_debug(" new_latency: ");
 		print_debug_hex8(new_latency);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 		if (new_latency > 4){
 			continue;
@@ -686,7 +686,7 @@
 		print_debug_hex8(min_cycle_time); 
 		print_debug(" min_latency: ");
 		print_debug_hex8(min_latency);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 	}
 	/* Make a second pass through the dimms and disable
@@ -740,7 +740,7 @@
 	print_debug_hex8(min_cycle_time); 
 	print_debug(" min_latency: ");
 	print_debug_hex8(min_latency);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	/* Now that I know the minimum cycle time lookup the memory parameters */
 	param = get_mem_param(min_cycle_time);
Index: util/romcc/tests/simple_test58.c
===================================================================
--- util/romcc/tests/simple_test58.c	(revision 3942)
+++ util/romcc/tests/simple_test58.c	(working copy)
@@ -2,7 +2,7 @@
 {
 	const char *str;
 	unsigned char ch;
-	str = "one\r\n";
+	str = "one\n";
 	while((ch = *str++) != '\0') {
 		__builtin_outb(ch, 0x3f0);
 	}
Index: util/romcc/tests/simple_test9.c
===================================================================
--- util/romcc/tests/simple_test9.c	(revision 3942)
+++ util/romcc/tests/simple_test9.c	(working copy)
@@ -2,7 +2,7 @@
 
 void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	char *str;
 	char ch;
 	str = msg;
Index: util/romcc/tests/raminit_test4.c
===================================================================
--- util/romcc/tests/raminit_test4.c	(revision 3942)
+++ util/romcc/tests/raminit_test4.c	(working copy)
@@ -345,12 +345,12 @@
 static void console_init(void)
 {
         static const char console_test[] =
-                "\r\n\r\nLinuxBIOS-"
+                "\n\nLinuxBIOS-"
                 "1.1.0"
                 ".0Fallback"
                 " "
                 "Fri Jun 13 21:02:41 MDT 2003"
-                " starting...\r\n";
+                " starting...\n";
         print_info(console_test);
 }
 
@@ -388,7 +388,7 @@
         print_debug_hex32(start);
         print_debug("-");
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         for(addr = start; addr < stop ; addr += 4) {
 
                 if ((addr & 0xffff) == 0) {
@@ -399,7 +399,7 @@
         };
 
         print_debug_hex32(addr);
-        print_debug("\r\nDRAM filled\r\n");
+        print_debug("\nDRAM filled\n");
 }
 
 void ram_verify(unsigned long start, unsigned long stop)
@@ -412,7 +412,7 @@
         print_debug_hex32(start);
         print_debug_char('-');
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         for(addr = start; addr < stop ; addr += 4) {
                 unsigned long value;
 
@@ -426,12 +426,12 @@
                         print_err_hex32(addr);
                         print_err_char(':');
                         print_err_hex32(value);
-                        print_err("\r\n");
+                        print_err("\n");
                 }
         }
 
         print_debug_hex32(addr);
-        print_debug("\r\nDRAM verified\r\n");
+        print_debug("\nDRAM verified\n");
 }
 
 
@@ -447,7 +447,7 @@
         print_debug_hex32(start);
         print_debug("-");
         print_debug_hex32(stop);
-        print_debug("\r\n");
+        print_debug("\n");
         ram_fill(start, stop);
         ram_verify(start, stop);
         print_debug("Done.\n");
@@ -511,10 +511,10 @@
         device_t dev;
         dev = pci_locate_device(((((0x746b) & 0xFFFF) << 16) | ((0x1022) & 0xFFFF)), 0);
         if (dev == (0xffffffffU)) {
-                die("SMBUS controller not found\r\n");
+                die("SMBUS controller not found\n");
         }
         uint8_t enable;
-        print_debug("SMBus controller enabled\r\n");
+        print_debug("SMBus controller enabled\n");
         pci_write_config32(dev, 0x58, 0x1000 | 1);
         enable = pci_read_config8(dev, 0x41);
         pci_write_config8(dev, 0x41, enable | (1 << 7));
@@ -609,7 +609,7 @@
 static void setup_resource_map(const unsigned int *register_values, int max)
 {
         int i;
-        print_debug("setting up resource map....\r\n");
+        print_debug("setting up resource map....\n");
         for(i = 0; i < max; i += 3) {
                 device_t dev;
                 unsigned where;
@@ -633,7 +633,7 @@
 
 
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 
 static void setup_default_resource_map(void)
@@ -805,7 +805,7 @@
         };
         int i;
         int max;
-        print_debug("setting up CPU0 northbridge registers\r\n");
+        print_debug("setting up CPU0 northbridge registers\n");
         max = sizeof(register_values)/sizeof(register_values[0]);
         for(i = 0; i < max; i += 3) {
                 device_t dev;
@@ -831,7 +831,7 @@
 
 
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 # 1132 "/home/eric/projects/linuxbios/checkin/hdama/freebios2/src/northbridge/amd/amdk8/raminit.c"
 static void sdram_set_spd_registers(void)
@@ -852,7 +852,7 @@
         dcl = pci_read_config32(( (((0) & 0xFF) << 16) | (((0x18) & 0x1f) << 11) | (((2) & 0x7) << 8)), 0x90);
         print_debug("dcl: ");
         print_debug_hex32(dcl);
-        print_debug("\r\n");
+        print_debug("\n");
         dcl |= (1<<3);
         pci_write_config32(( (((0) & 0xFF) << 16) | (((0x18) & 0x1f) << 11) | (((2) & 0x7) << 8)), 0x90, dcl);
         dcl &= ~(1<<3);
@@ -872,9 +872,9 @@
                 }
         } while(((dcl & (1<<8)) != 0) && (loops < 300000));
         if (loops >= 300000) {
-                print_debug(" failed\r\n");
+                print_debug(" failed\n");
         } else {
-                print_debug(" done\r\n");
+                print_debug(" done\n");
         }
 # 1192 "/home/eric/projects/linuxbios/checkin/hdama/freebios2/src/northbridge/amd/amdk8/raminit.c"
 }
@@ -915,7 +915,7 @@
         };
         int i;
         int max;
-        print_debug("setting up coherent ht domain....\r\n");
+        print_debug("setting up coherent ht domain....\n");
         max = sizeof(register_values)/sizeof(register_values[0]);
         for(i = 0; i < max; i += 3) {
                 device_t dev;
@@ -940,13 +940,13 @@
 
 
         }
-        print_debug("done.\r\n");
+        print_debug("done.\n");
 }
 # 12 "/home/eric/projects/linuxbios/checkin/hdama/freebios2/src/mainboard/arima/hdama/auto.c" 2
 # 1 "/home/eric/projects/linuxbios/checkin/hdama/freebios2/src/sdram/generic_sdram.c" 1
 void sdram_no_memory(void)
 {
-        print_err("No memory!!\r\n");
+        print_err("No memory!!\n");
         while(1) {
                 hlt();
         }
@@ -955,29 +955,29 @@
 
 void sdram_initialize(void)
 {
-        print_debug("Ram1\r\n");
+        print_debug("Ram1\n");
 
         sdram_set_registers();
 
-        print_debug("Ram2\r\n");
+        print_debug("Ram2\n");
 
         sdram_set_spd_registers();
 
-        print_debug("Ram3\r\n");
+        print_debug("Ram3\n");
 
 
 
 
         sdram_enable();
 
-        print_debug("Ram4\r\n");
+        print_debug("Ram4\n");
         sdram_first_normal_reference();
 
-        print_debug("Ram5\r\n");
+        print_debug("Ram5\n");
         sdram_enable_refresh();
         sdram_special_finishup();
 
-        print_debug("Ram6\r\n");
+        print_debug("Ram6\n");
 }
 # 13 "/home/eric/projects/linuxbios/checkin/hdama/freebios2/src/mainboard/arima/hdama/auto.c" 2
 
@@ -990,7 +990,7 @@
         msr = rdmsr(0x1b);
         bsp = !!(msr.lo & (1 << 8));
         if (bsp) {
-                print_debug("Bootstrap cpu\r\n");
+                print_debug("Bootstrap cpu\n");
         }
 
         return bsp;
@@ -1007,7 +1007,7 @@
 # 52 "/home/eric/projects/linuxbios/checkin/hdama/freebios2/src/mainboard/arima/hdama/auto.c"
         cpu_init = (htic & (1<<6));
         if (cpu_init) {
-                print_debug("CPU INIT Detected.\r\n");
+                print_debug("CPU INIT Detected.\n");
         }
         return cpu_init;
 }
@@ -1030,7 +1030,7 @@
                 print_debug_hex8(dev >> 11);
                 print_debug_char('.');
                 print_debug_hex8((dev >> 8) & 7);
-                print_debug("\r\n");
+                print_debug("\n");
         }
 }
 
@@ -1039,7 +1039,7 @@
 {
         unsigned device;
         device = (0xa << 3);
-        print_debug("\r\n");
+        print_debug("\n");
         while(device <= ((0xa << 3) +7)) {
                 int i;
                 print_debug("dimm: ");
@@ -1048,13 +1048,13 @@
                         int status;
                         unsigned char byte;
                         if ((i & 0xf) == 0) {
-                                print_debug("\r\n");
+                                print_debug("\n");
                                 print_debug_hex8(i);
                                 print_debug(": ");
                         }
                         status = smbus_read_byte(device, i);
                         if (status < 0) {
-                                print_debug("bad device\r\n");
+                                print_debug("bad device\n");
                                 break;
                         }
                         byte = status & 0xff;
@@ -1062,7 +1062,7 @@
                         print_debug_char(' ');
                 }
                 device += 1;
-                print_debug("\r\n");
+                print_debug("\n");
         }
 }
 
